return {
  'folke/tokyonight.nvim',
  lazy = false,
  priority = 1000,
  config = function()
    -- Example config for Tokyo Night
    vim.g.tokyonight_style = 'night'  -- Options: 'night', 'day'
    vim.g.tokyonight_transparent = true  -- Enable transparency

    -- Load the colorscheme
    vim.cmd('colorscheme tokyonight')

    -- Toggle background transparency
    local bg_transparency = true 

    local toggle_transparency = function()
      bg_transparency = not bg_transparency
      vim.g.tokyonight_transparent = bg_transparency
      vim.cmd('colorscheme tokyonight')
    end

    vim.keymap.set('n', '<leader>bg', toggle_transparency, { noremap = true, silent = true })
  end
}

